# GimpUi.ProcedureDialog.get_spin_scale

    @accepts(GimpUi.ProcedureDialog, unicode, float)
    @returns(Gtk.Widget)
    def get_spin_scale(self, property, factor):
        # Python wrapper for gimp_procedure_dialog_get_spin_scale()

Creates a new GimpUi.SpinScale for property which must necessarily be an integer or double property. This can be used instead of GimpUi.ProcedureDialog.get_widget in particular if you want to tweak the display factor. A typical example is showing a [0.0, 1.0] range as [0.0, 100.0] instead (factor = 100.0).

If a widget has already been created for this procedure, it will be returned instead (whatever its actual widget type).

self

  the associated GimpUi.ProcedureDialog.

property

  name of the int or double property to build a GimpUi.SpinScale for. It must be a property of the Gimp.Procedure self has been created for.

factor

  a display factor for the range shown by the widget. It must be set to 1.0 for integer properties.

Returns